Page MenuHomePhabricator

2.- Vue + ts compilation (log "hello wikidata bridge") on docker
Closed, ResolvedPublic13 Story Points

Description

  • With the learnings from T225948 decide where the generated artifacts will go (submodule / WB directly)
  • mob to set up
  • until T226015 / T226014 are tackled we will go with commiting dist for practical reasons (for RL)
  • "data-bridge" is the terminology to use for folder / project name

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: mv postcss config into dedicated file
mediawiki/extensions/Wikibase : masterbridge: differentiate between lint and (lint) fix
mediawiki/extensions/Wikibase : masterbridge: supported browserlist for transpiling
mediawiki/extensions/Wikibase : masterbridge: use stable file names for dist files

Event Timeline

darthmon_wmde set the point value for this task to 13.
Pablo-WMDE updated the task description. (Show Details)Jun 18 2019, 11:18 AM
Pablo-WMDE edited projects, added Wikidata-Bridge-Sprint-0; removed Wikidata-Bridge.
Pablo-WMDE updated the task description. (Show Details)Jun 18 2019, 11:44 AM
Pablo-WMDE updated the task description. (Show Details)Jun 18 2019, 11:51 AM

Change 517640 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: use stable file names for dist files

https://gerrit.wikimedia.org/r/517640

Change 517826 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: supported browserlist for transpiling

https://gerrit.wikimedia.org/r/517826

Change 517827 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: mv postcss config into dedicated file

https://gerrit.wikimedia.org/r/517827

Change 517846 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: differentiate between lint and (lint) fix

https://gerrit.wikimedia.org/r/517846

Change 518022 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] Move vue code to Presentation dir for clearer separation of concerns

https://gerrit.wikimedia.org/r/518022

Change 517640 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: use stable file names for dist files

https://gerrit.wikimedia.org/r/517640

Change 517826 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: supported browserlist for transpiling

https://gerrit.wikimedia.org/r/517826

Change 517846 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: differentiate between lint and (lint) fix

https://gerrit.wikimedia.org/r/517846

Change 517827 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: mv postcss config into dedicated file

https://gerrit.wikimedia.org/r/517827

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:23 PM
Michael closed this task as Resolved.Jul 1 2019, 9:29 AM
Michael claimed this task.
Michael moved this task from To do to Done on the Wikidata-Bridge-Sprint-0 board.

All subtasks are done, so this is done, too.

Restricted Application added a project: User-Michael. · View Herald TranscriptJul 1 2019, 9:29 AM